Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyc/verifications
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
termstringfor search with email, reference_idoptional
startstringStart date filter e.g YYYY-MM-DDoptional
endstringEnd date filter e.g YYYY-MM-DDoptional
statusstringstatus filter e.g Ongoing, Completed, Pending, Failedoptional

Response

Response
{
    "entity": {
        "data": [
            {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            },
              {
                "reference_id": "DJ-479A8E4159",
                "app_id": "64d4ab23b2793b00401a2993",
                "verificationStatus": "Completed",
                "datetime": "2024-07-19 17:06:05",
                "environment": "production",
                "first_name": "JOHN",
                "last_name": "DOE",
                "middle_name": "ANON",
                "full_name": "JOHN DOE",
                "business_name": "ANON Enterprises",
                "selfieUrl": "https://dojah-kyc.s3.us-east-2.amazonaws.com/sandbox_kyc_image.png",
                "verificationUrl": "https://app.dojah.io/verifications/bio-data/DJ-479A8E4159"
            }
            
        ],
        "meta": {
            "total_count": 107,
            "item_per_page": 10,
            "current_page": 1
        }
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the response data
entity.dataarrayList of verification records
entity.data[].reference_idstringUnique Dojah reference ID for the verification
entity.data[].app_idstringYour application ID
entity.data[].verificationStatusstringCurrent status of the verification (e.g., β€œCompleted”, β€œOngoing”, β€œFailed”)
entity.data[].datetimestringDate and time when the verification was created
entity.data[].environmentstringEnvironment the verification ran in (e.g., β€œproduction”, β€œsandbox”)
entity.data[].first_namestringFirst name of the verified individual
entity.data[].last_namestringLast name of the verified individual
entity.data[].middle_namestringMiddle name of the verified individual
entity.data[].full_namestringFull name of the verified individual
entity.data[].business_namestringBusiness name, if applicable
entity.data[].selfieUrlstringURL of the selfie image captured during verification
entity.data[].verificationUrlstringLink to view the verification details on the dashboard
entity.metaobjectPagination metadata
entity.meta.total_countintegerTotal number of verification records
entity.meta.item_per_pageintegerNumber of records per page
entity.meta.current_pageintegerCurrent page number

Verification Statuses

These are the possible verification statuses for KYC Widget Webhook Notification Data:
StatusDescription
OngoingThe verification process is currently in progress.
CompletedThe verification process has been successfully completed and passed all steps.
PendingThe verification process is awaiting further action.
FailedThe verification process was not successful.
AbandonedThe verification process was abandoned.